package org.kde.qt;


/** {@link QTable} emits these signals */
public interface QTableSignals {
	void destroyed( QObject obj );
	void contentsMoving( int x, int y );
	void pressed( int row, int col, int button, QPoint mousePos );
	void clicked( int row, int col, int button, QPoint mousePos );
	void contextMenuRequested( int row, int col, QPoint pos );
	void currentChanged( int row, int col );
	void valueChanged( int row, int col );
	void dropped( QDropEvent e );
	void doubleClicked( int row, int col, int button, QPoint mousePos );
	void selectionChanged();
}

